#pragma once

#include "Mix/Tool/Win32/Core/Graphics/MaterialSlot.h"
#include "Mix/Tool/CLR/Core/Graphics/MaterialCollection.h"

using namespace System;
using namespace System::Collections;
using namespace System::Collections::Generic;

namespace Mix{ namespace Tool{ namespace Graphics{

	public ref class MaterialSlot
	{
	private:
		Mix::Tool::Win32::Graphics::MaterialSlot* impl;
		MaterialSlot::MaterialCollection^ m_MaterialCollection;

	internal:
		MaterialSlot( Mix::Tool::Win32::Graphics::MaterialSlot* _impl );
		~MaterialSlot( void );

	public:
		property System::String^ DefaultName
		{
			System::String^ get( void );
		}

		property System::String^ Name
		{
			System::String^ get( void );
			void set( System::String^ value );
		}

		property Mix::Tool::Graphics::MaterialCollection^ Materials
		{
			Mix::Tool::Graphics::MaterialCollection^ get( void );
		}
	};

}}}
